Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 679836 - Clicking "add" on missing entries in admin UI does nothing
: Clicking "add" on missing entries in admin UI does nothing
Product: Socorro
Classification: Server Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: 2.2.2
Assigned To: Brandon Savage [:brandon]
: socorro
Depends on:
  Show dependency treegraph
Reported: 2011-08-17 12:25 PDT by Robert Kaiser
Modified: 2011-12-28 10:40 PST (History)
5 users (show)
mbrandt: in‑litmus?
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

Correct admin section (7.50 KB, patch)
2011-08-24 13:30 PDT, Brandon Savage [:brandon]
rhelmer: review+
Details | Diff | Splinter Review
adding missing entry (47.08 KB, image/png)
2011-08-29 13:57 PDT, Matt Brandt [:mbrandt]
no flags Details

Description Robert Kaiser 2011-08-17 12:25:09 PDT has a "Missing Entries" list but clicking "add" on any of them does not do anything.

Previously, that would show the form with some data to actually click a button to add the entry, but the form doesn't appear now.
Comment 1 Brandon Savage [:brandon] 2011-08-24 13:30:26 PDT
Created attachment 555515 [details] [diff] [review]
Correct admin section

This patch does two things:

* Reinstates code that was removed from 2.2, but is required for the proper functioning of the "add" behavior
* Makes use of jberkus' new stored procedure for adding items to the product_info table.
Comment 2 Robert Helmer [:rhelmer] 2011-08-24 16:45:57 PDT
Comment on attachment 555515 [details] [diff] [review]
Correct admin section

>Index: webapp-php/application/models/branch.php
>+                $rv = $this->db->query("/* soc.web branch.add */
>+                    SELECT * FROM edit_product_info(null, ?, ?, ?, ?, ?, ?, ?)", $product, $version, $release, $start_date, $end_date, $featured, $throttle);		

Just a nit - I didn't notice that this was a function so was scratching my head at first.

Not having the "* FROM" is more typical, like:
SELECT edit_product_info(a,b,c,d,);

Especially if it only returns one value (as this function does) and/or you don't care about the return value.

Anyway works/looks fine otherwise as-is, so I'll leave that up to you to change or not as you see fit.
Comment 3 Brandon Savage [:brandon] 2011-08-25 06:25:57 PDT
Committed revision 3474.
Comment 4 Matt Brandt [:mbrandt] 2011-08-29 13:57:49 PDT
Created attachment 556666 [details]
adding missing entry

The dialog for adding missing products to the branches is back and functioning again.
Comment 5 Matt Brandt [:mbrandt] 2011-08-29 14:08:29 PDT
QA verified. Kairo when you have a moment please take a look at the re-instated behavior on stage. If need be please re-open.
Comment 6 Robert Kaiser 2011-08-30 06:35:06 PDT
Yup, verified by satisfying bug 683107 on stage ;-)

Note You need to log in before you can comment on or make changes to this bug.